
Redmine - Defect #6452

Unhandled exception on creating File

2010-09-21 12:27 - Jan from Planio www.plan.io

Status: Closed Start date: 2010-09-21

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 1.0.2   

Resolution: Fixed Affected version:  

Description

Creating (uploading) a file yields an unhandled exception in Mailer#attachments_added whenever the attachment fails to be

validated (e.g. filesize too large) and email notifications are turned on.

Exception:

NoMethodError: undefined method `container' for nil:NilClass

 Relavant stacktrace:

--- 

- "[RAILS_ROOT]/app/models/mailer.rb:110:in `attachments_added'" 

- "[RAILS_ROOT]/app/controllers/files_controller.rb:32:in `create'" 

 This patch fixes the problem. Please check and commit.

Associated revisions

Revision 4177 - 2010-09-26 10:07 - Jean-Philippe Lang

Fixed: error on mail notification when adding an invalid file (#6452).

History

#1 - 2010-09-25 17:25 - Jan from Planio www.plan.io

this is an easy one, would be great if it made it into 1.0.2

#2 - 2010-09-26 10:03 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.0.2

- Resolution set to Fixed

Fixed in r4177.

#3 - 2010-09-26 11:41 - Jan from Planio www.plan.io

Thanks :)

#4 - 2010-09-27 00:21 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable

Files

files_controller_patch.patch 698 Bytes 2010-09-21 Jan from Planio www.plan.io
